<?php
/**
 * @package Contentteller
 * @subpackage Users
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminDoEditUsersPreferences
 * A function to write the configuration of the Users module to the database
 * @author Philipp Louis Esselbach
 */
function AdminDoEditUsersPreferences()
{
	global $database, $system, $security, $preferences, $html, $words_users;
	$input_user_active = ( isset( $_POST[ 'input_user_active' ] ) ) ? $security -> checknum( $_POST[ 'input_user_active' ] ) : "" ;
	$input_user_registration_adminname = ( isset( $_POST[ 'input_user_registration_adminname' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_adminname' ] ) : "" ;
	$input_user_registration_adminemail = ( isset( $_POST[ 'input_user_registration_adminemail' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_adminemail' ] ) : "" ;
	$input_user_registration_adminfax = ( isset( $_POST[ 'input_user_registration_adminfax' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_adminfax' ] ) : "" ;
	$input_user_registration_adminaddress = ( isset( $_POST[ 'input_user_registration_adminaddress' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_adminaddress' ] ) : "" ;
	$input_user_registration_privacypolicy = ( isset( $_POST[ 'input_user_registration_privacypolicy' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_privacypolicy' ] ) : "" ;
	$input_user_registration_securitycode = ( isset( $_POST[ 'input_user_registration_securitycode' ] ) ) ? $security -> checknum( $_POST[ 'input_user_registration_securitycode' ] ) : "" ;
	$input_user_registration_verifyage = ( isset( $_POST[ 'input_user_registration_verifyage' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_verifyage' ] ) : "" ;
	$input_user_registration_verifydate = ( isset( $_POST[ 'input_user_registration_verifydate' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_verifydate' ] ) : "" ;
	$input_user_registration_coppa = ( isset( $_POST[ 'input_user_registration_coppa' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_coppa' ] ) : "" ;
	$input_user_registration_verifyemail = ( isset( $_POST[ 'input_user_registration_verifyemail' ] ) ) ? $security -> checknum( $_POST[ 'input_user_registration_verifyemail' ] ) : "" ;
	$input_user_registration_proxy = ( isset( $_POST[ 'input_user_registration_proxy' ] ) ) ? $security -> checknum( $_POST[ 'input_user_registration_proxy' ] ) : "" ;
	$input_user_registration_queuehold = ( isset( $_POST[ 'input_user_registration_queuehold' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_queuehold' ] ) : "" ;
	$input_user_registration_emailserver = ( isset( $_POST[ 'input_user_registration_emailserver' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_emailserver' ] ) : "" ;
	$input_user_registration_smtphost = ( isset( $_POST[ 'input_user_registration_smtphost' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_smtphost' ] ) : "" ;
	$input_user_registration_smtpport = ( isset( $_POST[ 'input_user_registration_smtpport' ] ) ) ? $security -> checknum( $_POST[ 'input_user_registration_smtpport' ] ) : "" ;
	$input_user_registration_smtpusername = ( isset( $_POST[ 'input_user_registration_smtpusername' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_smtpusername' ] ) : "" ;
	$input_user_registration_smtppassword = ( isset( $_POST[ 'input_user_registration_smtppassword' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_smtppassword' ] ) : "" ;
	$input_user_registration_tos = ( isset( $_POST[ 'input_user_registration_tos' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_registration_tos' ] ) : "" ;
	$input_user_image_avatarwidth = ( isset( $_POST[ 'input_user_image_avatarwidth' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_image_avatarwidth' ] ) : "" ;
	$input_user_approve_avatar = ( isset( $_POST[ 'input_user_approve_avatar' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_approve_avatar' ] ) : "" ;
	$input_user_agechange = ( isset( $_POST[ 'input_user_agechange' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_agechange' ] ) : "" ;
	$input_user_dateformat = ( isset( $_POST[ 'input_user_dateformat' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_dateformat' ] ) : "" ;
	$input_user_navigation = ( isset( $_POST[ 'input_user_navigation' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_navigation' ] ) : "" ;
	$input_user_controlpanel_pagename = ( isset( $_POST[ 'input_user_controlpanel_pagename' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_controlpanel_pagename' ] ) : "" ;
	$input_user_controlpanel_description = ( isset( $_POST[ 'input_user_controlpanel_description' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_controlpanel_description' ] ) : "" ;
	$input_user_controlpanel_keywords = ( isset( $_POST[ 'input_user_controlpanel_keywords' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_controlpanel_keywords' ] ) : "" ;
	$input_user_pm_max_messages = ( isset( $_POST[ 'input_user_pm_max_messages' ] ) ) ? $security -> checknum( $_POST[ 'input_user_pm_max_messages' ] ) : "" ;
	$input_user_pm_max_recipients = ( isset( $_POST[ 'input_user_pm_max_recipients' ] ) ) ? $security -> checknum( $_POST[ 'input_user_pm_max_recipients' ] ) : "" ;
	$input_user_pm_max_floodtime = ( isset( $_POST[ 'input_user_pm_max_floodtime' ] ) ) ? $security -> checknum( $_POST[ 'input_user_pm_max_floodtime' ] ) : "" ;
	$input_user_pm_max_pms = ( isset( $_POST[ 'input_user_pm_max_pms' ] ) ) ? $security -> checkvar( $_POST[ 'input_user_pm_max_pms' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;

	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_users[ 'ERROR' ], $words_users[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}
	
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_active . "' WHERE preference_key = 'USER_ACTIVE'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_adminname . "' WHERE preference_key = 'USER_REGISTRATION_ADMINNAME'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_adminemail . "' WHERE preference_key = 'USER_REGISTRATION_ADMINEMAIL'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_adminfax . "' WHERE preference_key = 'USER_REGISTRATION_ADMINFAX'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_adminaddress . "' WHERE preference_key = 'USER_REGISTRATION_ADMINADDRESS'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_privacypolicy . "' WHERE preference_key = 'USER_REGISTRATION_PRIVACYPOLICY'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_securitycode . "' WHERE preference_key = 'USER_REGISTRATION_SECURITYCODE'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_verifyage . "' WHERE preference_key = 'USER_REGISTRATION_VERIFYAGE'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_verifydate . "' WHERE preference_key = 'USER_REGISTRATION_VERIFYDate'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_coppa . "' WHERE preference_key = 'USER_REGISTRATION_COPPA'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_verifyemail . "' WHERE preference_key = 'USER_REGISTRATION_VERIFYEMAIL'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_proxy . "' WHERE preference_key = 'USER_REGISTRATION_PROXY'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_queuehold . "' WHERE preference_key = 'USER_REGISTRATION_QUEUEHOLD'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_emailserver . "' WHERE preference_key = 'USER_REGISTRATION_EMAILSERVER'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_smtphost . "' WHERE preference_key = 'USER_REGISTRATION_SMTPHOST'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_smtpport . "' WHERE preference_key = 'USER_REGISTRATION_SMTPPORT'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_smtpusername . "' WHERE preference_key = 'USER_REGISTRATION_SMTPUSERNAME'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_smtppassword . "' WHERE preference_key = 'USER_REGISTRATION_SMTPPASSWORD'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_registration_tos . "' WHERE preference_key = 'USER_REGISTRATION_TOS'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_image_avatarwidth . "' WHERE preference_key = 'USER_IMAGE_AVATARWIDTH'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_approve_avatar . "' WHERE preference_key = 'USER_APPROVE_AVATAR'" );	
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_agechange . "' WHERE preference_key = 'USER_AGECHANGE'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_dateformat . "' WHERE preference_key = 'USER_DATEFORMAT'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_navigation . "' WHERE preference_key = 'USER_NAVIGATION'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_controlpanel_pagename . "' WHERE preference_key = 'USER_CONTROLPANEL_PAGENAME'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_controlpanel_description . "' WHERE preference_key = 'USER_CONTROLPANEL_DESCRIPTION'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_controlpanel_keywords . "' WHERE preference_key = 'USER_CONTROLPANEL_KEYWORDS'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_pm_max_messages . "' WHERE preference_key = 'USER_PM_MAX_MESSAGES'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_pm_max_recipients . "' WHERE preference_key = 'USER_PM_MAX_RECIPIENTS'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_pm_max_floodtime . "' WHERE preference_key = 'USER_PM_MAX_FLOODTIME'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_user_pm_max_pms . "' WHERE preference_key = 'USER_PM_MAX_PMS'" );
	
	if( file_exists( "../includes/preferences.php" ) )
	{
		@unlink( "../includes/preferences.php" );
	}
	
	$html -> login( $words_users[ 'USERS_PREFERENCES' ], $words_users[ 'USERS_PREFS_CHANGED' ], "index.php?action=edituserspreferences" );
}
?>